<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.logUser.mapper.LogUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="logUserResultMap" type="org.springblade.modules.log.logUser.entity.LogUserEntity">
        <result column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="zp" property="zp"/>
        <result column="xm" property="xm"/>
        <result column="xb" property="xb"/>
        <result column="sfzh" property="sfzh"/>
        <result column="csrq" property="csrq"/>
        <result column="mz" property="mz"/>
        <result column="whcd" property="whcd"/>
        <result column="hyzk" property="hyzk"/>
        <result column="jtzz" property="jtzz"/>
        <result column="lxdh" property="lxdh"/>
        <result column="jh" property="jh"/>
        <result column="zzmm" property="zzmm"/>
        <result column="gzdwmc" property="gzdwmc"/>
        <result column="sszrq" property="sszrq"/>
        <result column="ssjg" property="ssjg"/>
        <result column="zwlb" property="zwlb"/>
        <result column="gwzz" property="gwzz"/>
        <result column="zhzhmj" property="zhzhmj"/>
        <result column="rszrq" property="rszrq"/>
        <result column="zj" property="zj"/>
        <result column="jbzzw" property="jbzzw"/>
        <result column="jbzrq" property="jbzrq"/>
        <result column="bcsl" property="bcsl"/>
        <result column="ydw" property="ydw"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="szfj" property="szfj"/>
        <result column="jlwzw" property="jlwzw"/>
        <result column="jlwrq" property="jlwrq"/>
        <result column="jlwfj" property="jlwfj"/>
    </resultMap>


    <select id="selectLogUserPage" resultMap="logUserResultMap">
        select * from log_user where is_deleted = 0
    </select>


    <select id="exportLogUser" resultType="org.springblade.modules.log.logUser.excel.LogUserExcel">
        SELECT * FROM log_user ${ew.customSqlSegment}
    </select>

</mapper>
